Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pattern
Class EmptySequenceTest

    java.lang.Object
      net.sf.saxon.pattern.NodeTest
          net.sf.saxon.pattern.EmptySequenceTest

All Implemented Interfaces:
  Serializable, ItemType

    public final class EmptySequenceTest

extends NodeTest

NodeTest is an interface that enables a test of whether a node has a particular name and type. An EmptySequenceTest matches no nodes or atomic values: it corresponds to the type empty-sequence().

Author:
  Michael H. Kay
See Also:
  Serialized Form

Method Summary
`double` | `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
`static EmptySequenceTest` | `getInstance()` Get a NoNodeTest instance
`int` | `getNodeKindMask()` Get a mask indicating which kinds of nodes this NodeTest can match.
`ItemType` | `getPrimitiveItemType()` Get the primitive item type corresponding to this item type.
`int` | `getPrimitiveType()` Get the basic kind of object that this ItemType matches: for a NodeTest, this is the kind of node, or Type.Node if it matches different kinds of nodes.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `matches(int nodeType, int fingerprint, int annotation)` Test whether this node test is satisfied by a given node
`boolean` | `matches(NodeInfo node)` Test whether this node test is satisfied by a given node.
`boolean` | `matches(TinyTree tree, int nodeNr)` Test whether this node test is satisfied by a given node on a TinyTree.
`boolean` | `matchesItem(Item item, boolean allowURIPromotion, Configuration config)` Test whether a given item conforms to this type
`String` | `toString()`

Methods inherited from class net.sf.saxon.pattern.NodeTest
`getAtomizedItemType, getContentType, getFingerprint, getRequiredNodeNames, getSuperType, isAtomicType, isNillable, toString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static EmptySequenceTest getInstance()

  Get a NoNodeTest instance

### getPrimitiveType

    public final int getPrimitiveType()

  Description copied from class: `NodeTest`
  Get the basic kind of object that this ItemType matches: for a NodeTest, this is the kind of node, or Type.Node if it matches different kinds of nodes.

  Specified by:
    `getPrimitiveType` in interface `ItemType`
  Overrides:
    `getPrimitiveType` in class `NodeTest`
  Returns:
    the node kind matched by this node test

### getPrimitiveItemType

    public ItemType getPrimitiveItemType()

  Get the primitive item type corresponding to this item type. For item(), this is Type.ITEM. For node(), it is Type.NODE. For specific node kinds, it is the value representing the node kind, for example Type.ELEMENT. For anyAtomicValue it is Type.ATOMIC_VALUE. For numeric it is Type.NUMBER. For other atomic types it is the primitive type as defined in XML Schema, except that INTEGER is considered to be a primitive type.

  Specified by:
    `getPrimitiveItemType` in interface `ItemType`
  Overrides:
    `getPrimitiveItemType` in class `NodeTest`

### matchesItem

    public boolean matchesItem(Item item,
                               boolean allowURIPromotion,
                               Configuration config)

  Test whether a given item conforms to this type

  Specified by:
    `matchesItem` in interface `ItemType`
  Overrides:
    `matchesItem` in class `NodeTest`
  Parameters:
    `item` - The item to be tested
    `allowURIPromotion` -
    `config` -
  Returns:
    true if the item is an instance of this type; false otherwise

### matches

    public boolean matches(int nodeType,
                           int fingerprint,
                           int annotation)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `nodeType` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched
    `annotation` - The actual content type of the node

### matches

    public boolean matches(TinyTree tree,
                           int nodeNr)

  Test whether this node test is satisfied by a given node on a TinyTree. The node must be a document, element, text, comment, or processing instruction node. This method is provided so that when navigating a TinyTree a node can be rejected without actually instantiating a NodeInfo object.

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `tree` - the TinyTree containing the node
    `nodeNr` - the number of the node within the TinyTree
  Returns:
    true if the node matches the NodeTest, otherwise false

### matches

    public boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node. This alternative method is used in the case of nodes where calculating the fingerprint is expensive, for example DOM or JDOM nodes.

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `node` - the node to be matched

### getDefaultPriority

    public final double getDefaultPriority()

  Determine the default priority of this node test when used on its own as a Pattern

  Specified by:
    `getDefaultPriority` in class `NodeTest`

### getNodeKindMask

    public int getNodeKindMask()

  Get a mask indicating which kinds of nodes this NodeTest can match. This is a combination of bits: 1<
  Specified by:
    `getNodeKindMask` in class `NodeTest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.